Bug #818

avatar

frontend crashes on Windows with GTk# 2.12.20

Added by Martin Roth 4093 days ago. Updated 4050 days ago.

Status:Closed Start:03/03/2013
Priority:Urgent Due date:
Assigned to:avatarMirco Bauer % Done:

100%

Category:Windows Installer
Target version:0.8.10.2
Complexity:

Found in Version:

0.8.10.1

Votes: 0

Description

The program (Smuxi 8.10.1) crashes on startup when gtk-sharp-2.12.20.msi (http://download.xamarin.com/Installer/gtk-sharp-2.12.20.msi) is installed, which is a newer version. System being run on is Windows 7 64 bit.

Associated revisions

Revision f0af2da8cf46e29d8071b1c5d89017c8dba09373
Added by Mirco Bauer 4051 days ago

[Installer-Win32] Install, require and run on .NET 4.0 as needed by GTK# 2.12.20 (closes: #818)

Revision 9a8b24fdb8fe99b8d092bb74d2d3e4c325b8ee80
Added by Mirco Bauer 4051 days ago

[Installer-Win32] Fixed GTK# 2.12.20 incompatibility (closes: #818)

Dropped MonoPosixHelper.dll and zlib1.dll as GTK# 2.12.20 requires a newer
version and ships their own. As GTK# 2.12.10 also ships these there is no need
to ship them with Smuxi.

Revision cb5f23e8a49c5335a9ebf6914cda4b56dfa303fd
Added by Mirco Bauer 4051 days ago

[Frontend-GNOME] Added detection for GTK# 2.12.20 installer (references: #818)

Revision ae8411dc36c1cfe1d08abc9d596cd3bbb50fc8ee
Added by Mirco Bauer 4051 days ago

[Installer-Win32] Detect GTK# 2.12.20 install correctly (references: #818)

History

Updated by Mirco Bauer 4093 days ago

avatar
  • Target version changed from 0.8.10.1 to 0.8.10.2
  • Found in Version changed from 8.10.1 to 0.8.10.1

Updated by Mirco Bauer 4075 days ago

avatar
  • Subject changed from 8.10.1 frontend crashing in Windows when using newer version of GTK to frontend crashes on Windows with GTk# 2.12.20

Updated by Mirco Bauer 4075 days ago

avatar
The issue is that GTK# 2.12.20 is now referencing .NET 4.0 instead of .NET 2.0 while Smuxi still references .NET 2.0:
21:57:42 <moonpyk> gtk-sharp runtime : v4.0.30319 / msil
21:58:01 <moonpyk> smuxi-frontend-gnome one : v2.0.50727 / x86

So it's time to switch the Windows installer to .NET 4.0 builds I guess ;)

Updated by Mirco Bauer 4050 days ago

avatar
  • Status changed from New to Closed
  • % Done changed from 0 to 100

Also available in: Atom PDF